using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace ThickTcpUiInWindow.Converter
{
    public class IntConverter : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            try
            {
                int v = (int)value;
                if (Misc.MyBase.ISVALIDATA(v))
                    return v.ToString();
                else
                    return "null";
            }
            catch
            {
                return "null";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            try
            {
                int v;
                if (int.TryParse(value as string, out v))
                {
                    return v;
                }
                else
                {
                    return Misc.MyBase.NULL_VALUE;
                }
            }
            catch
            {
                return Misc.MyBase.NULL_VALUE;
            }
        }

        #endregion
    }
}
